.checkbox-slider  {
	width: 30px;
	height: 15px;
	background-color: #484848;
	cursor: pointer;
	position: relative;
	display: block;
	

	-webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,0.075);
	box-shadow: inset 0 1px 1px rgba(0,0,0,0.075);
	border: 1px solid #ccc;
	-webkit-border-radius: 50px;
	-moz-border-radius: 50px;
	border-radius: 50px;
}

.input-group-addon .checkbox-slider-success {
    margin-top: 19px;
    margin-bottom: 19px;
}

.checkbox-slider input {
	display: none;
}

.checkbox-slider input ~ span {
	width: 10px;
	height: 10px;
	border-radius: 100%;
	-moz-border-radius: 100%; /* Firefox */
	-webkit-border-radius: 100%; /* Safari and Chrome */
	background-color: #484848;
	border: 1px solid #FF014F;
	
	-webkit-transition: all .4s ease;
	-moz-transition: all .4s ease;
	-o-transition: all .4s ease;
	-ms-transition: all .4s ease;
	transition: all .4s ease;
	position: absolute;
	z-index: 1;
	left: 3px;
	top: 2px;
}

.checkbox-slider input:checked  ~ span{
	left: 15px;
}

.checkbox-slider-primary input:checked  ~ span {
	background-color: #428bca;
	border-color: #285e8e;
}

.checkbox-slider-success input:checked  ~ span {
	background-color: #FF014F;
	border-color: #FF014F;
}

.checkbox-slider-info input:checked  ~ span {
	background-color: #5bc0de;
	border-color: #269abc;
}

.checkbox-slider-warning input:checked  ~ span {
	background-color: #f0ad4e;
	border-color: #d58512;
}

.checkbox-slider-danger input:checked  ~ span {
	background-color: #d9534f;
	border-color: #ac2925;
}

.checkbox-slider-sm {
	width: 26px;
	height: 1px;
	margin-top: 0.5em;
	margin-bottom: 0.5em;
}

.checkbox-slider-sm input ~ span {
	width: 15px;
	height: 15px;
	left: -2px;
	top: -7px;
}

.checkbox-slider-sm input:checked ~ span {
	left: 13px;
}